Click or drag to resize

System Requirements

Supported development environments
  • Visual Studio versions supporting .NET Core 2.0+ or .NET Framework 4.0+:

    • Visual Studio 2019

    • Visual Studio 2017

    • Visual Studio 2015

    • Visual Studio 2013

    • Visual Studio 2012

    • Visual Studio 2010

  • A Visual Studio project of the following types:

    • ASP.NET Core 2.0+ project

    • ASP.NET Core 2.0+ on .NET Framework 4.6.1+ project

    • ASP.NET MVC 3+ Web Application or Web Site project

    • ASP.NET WebForms 4+ Web Application or Web Site project

    • ASP.NET Web Pages 4+ (Razor, WebMatrix) project

    • .NET Core 2.0+ or .NET Framework 4.0+ console/desktop project (non-web project types)

Supported deployment environments
  • 32-bit or 64-bit versions of the following server operating systems:

    • Windows Server 2019

    • Windows Server 2016

    • Windows Server 2012 R2

    • Windows Server 2012

    • Windows Server 2008 R2

    32-bit or 64-bit versions of the following client operating systems:

    • Windows 10

    • Windows 8

    • Windows 7

  • IIS 6 or later with an Application Pool of .NET Framework 4.0 or later